%define gettext_package rhgb

Summary: Red Hat Graphical Boot
Name: rhgb
Version: 0.11.2
Release: 6
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: s390 s390x ppc64
BuildRequires: vte-devel
Requires: initscripts >= 7.22-1
Patch: rhgb-0.11.2-nologo.patch
Patch1: rhgb-0.11.2-oneumount.patch

%description
Red Hat Graphical Boot provides a clean and simple interface to the boot process



%prep
%setup -q
%patch -p1 -b .nologo
%patch1 -p1 -b .oneumount

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_datadir}/rhgb

%changelog
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb  9 2004 Jonathan Blandford <jrb@redhat.com> 0.11.2-4,5
- reuild for RHEL 3U2 and RHEL 4

* Thu Feb  5 2004 Dan Walsh <dwalsh@redhat.com> 0.11.2-3
- Remove extra umount. Fixes SELinux error

* Tue Feb  3 2004 Jonathan Blandford <jrb@redhat.com> 0.11.2-2
- remove logo temporarily for RHEL. 

* Wed Oct 29 2003 Jonathan Blandford <jrb@redhat.com> 0.11.1-2
- rebuild for fixed german translation

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.11
- only launch if explicitly listed in grub

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.10.6-1
- add working xkb support

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-2
- Don't build on s390, s390x and ppc64 as they don't have libxf86config.

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-1
- add xkb support

* Tue Oct  7 2003 Jonathan Blandford <jrb@redhat.com> 0.10.4.-1s
- new splash code

* Wed Jul  9 2003 Bill Nottingham <notting@redhat.com> 0.9.4-1
- fix checking for command-line arguments, again

* Mon Jul  7 2003 Bill Nottingham <notting@redhat.com> 0.9.3-1
- fix checking for command-line arguments

* Fri Oct 11 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


